Name: smeserver-onlyoffice
Version: 0.0.5
Release: 9%{?dist}
Summary: Onlyoffice document server for Koozali SME Server
License: GPL
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: e-smith-devtools
Requires: smeserver-postgresql,smeserver-redis,smeserver-nginx
Requires: postgresql
Requires: onlyoffice-documentserver >= 7.3.0
Requires: rabbitmq-server,supervisor, php73-php-cli
Requires: smeserver-supervisor, smeserver-rabbitmq-server, jq
# for msttcore-fonts-installer
Requires: cabextract

%description
Onlyoffice document server for for Koozali SME Server, a web based document editor server

%prep
%setup -q

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root ; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
  --ignoredir /etc/yum/post-actions \
  --ignoredir /usr/lib/systemd/system/nginx.service.d \
  > %{name}-%{version}-%{release}-filelist


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.0.5-9.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Feb 08 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-8.sme
- adapt for  onlyoffice 7.3 with systemd services [SME: 12177]

* Tue Feb 07 2023 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-7.sme
- requires documentserver < 7.3 as using supervisord
- fix path to pgsql [SME: 12317]
- redirect to welcome uri

* Mon Dec 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-5.sme
- fix httpd failure on onlyoffice-documentserver rpm update [SME: 12289]

* Tue Nov 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-4.sme
- fix path to postgresql-13 [SME: 12238]

* Mon Nov 21 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-3.sme
- fix nginx not starting with onlyoffice 7.2 [SME: 12234]

* Sun Nov 20 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-2.sme
- fix wrong dsport in httpd template [SME: 12233]

* Thu Jun 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.5-1.sme
- Initial import to Koozali SME Server from Nethserver
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Sep 28 2019 --> Wed Sep 25 2019 or Sat Sep 28 2019 or Wed Oct 02 2019 or ....

* Tue Sep 07 2021 Markus Neuberger <dev@markusneuberger.at> - 0.0.2-1
- Fix Nextcloud configuration - thanks to Roberto Schiano

* Fri Apr 17 2020 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-9
- Use jq instead of npm json - thanks to Klaus Boehme
- Fix php memory error

* Sat Sep 28 2019 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-8
  Wed Sep 28 2019 --> Wed Sep 25 2019 or Sat Sep 28 2019 or Wed Oct 02 2019 or ....
- Add stronger password for working with Webtop - thanks to Klaus Boehme
- Add Webtop support

* Wed Sep 04 2019 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-7
- Change config file and user

* Wed Nov 07 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-6
- Change config file owner to work with versions newer than 5.2 - thanks to giacomo

* Fri Sep 21 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-4
- add RejectUnauthorized prop to make it work with self-signed certs
- remove rabbitmq-server requirement
- change spellchecker port 8080 to 48080 to not conflict with nethserver-tomcat

* Sat Apr 07 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-3
- check if database exists - thanks to @dnutan
- check if nextcloud exists - thanks to @dnutan
- tidy up conf action
- remove documentserver script
- make documentserver updates possible
- use json import instead of templating defaults.json
- remove install errors - thanks to @dnutan

* Tue Mar 20 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-2
- Secure access via JWT token - thanks to @dnutan
- autoinstall of onlyoffice nextcloud app - thanks to @danb35
- allow self-signed cert - thanks to @flatspin
- add host db prop

* Sat Mar 10 2018 Markus Neuberger <dev@markusneuberger.at> - 0.0.1-1
- First release
- Add requires
- Setup documentserver and nginx
